package org.colinvella.fancyfish.entity.ai;

import org.colinvella.fancyfish.FancyFishMod;
import org.colinvella.fancyfish.entity.fish.FishEntity;
import org.colinvella.fancyfish.logger.ModLogger;

import net.minecraft.entity.ai.EntityAIBase;
import net.minecraft.util.MathHelper;

public class FishEntityAIFlopAround extends EntityAIBase
{   
    public FishEntityAIFlopAround(FishEntity fishEntity)
    {
    	if (logger == null)
    		logger = FancyFishMod.getLogger();
    	
    	this.fishEntity = fishEntity;
    }

    @Override
    public boolean shouldExecute()
    {
        return !this.fishEntity.isInWater();
    }

    @Override
    public void updateTask()
    {
    	this.fishEntity.getJumpHelper().setJumping();

        if (this.fishEntity.getRNG().nextInt(10) == 0 || !this.fishEntity.hasTargetMotion())
        {
        	// chose random angle in XZ plane
            float angle = this.fishEntity.getRNG().nextFloat() * (float)Math.PI * 2.0F;
            
            float randomMotionX = MathHelper.cos(angle) * 0.2F;
            float randomMotionZ = MathHelper.sin(angle) * 0.2F;

            float randomMotionY = 0;

            this.fishEntity.setTargetMotion(randomMotionX, randomMotionY, randomMotionZ);
        }}
    
    private FishEntity fishEntity;
    
    private static ModLogger logger;
}	