package org.colinvella.fancyfish.gui;

import org.colinvella.fancyfish.inventory.FishTankContainer;
import org.colinvella.fancyfish.tileentity.FishTankTileEntity;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.util.BlockPos;
import net.minecraft.world.World;
import net.minecraftforge.fml.common.network.IGuiHandler;

public class FishTankGuiHandler implements IGuiHandler
{
    public static final int MOD_TILE_ENTITY_GUI = 0;

    @Override
    public Object getServerGuiElement(int ID, EntityPlayer player, World world, int x, int y, int z) {
        if (ID == MOD_TILE_ENTITY_GUI)
            return new FishTankContainer(player.inventory, getTileEntity(world, x, y, z));

        return null;
    }

    @Override
    public Object getClientGuiElement(int ID, EntityPlayer player, World world, int x, int y, int z) {
        if (ID == MOD_TILE_ENTITY_GUI)
            return new FishTankGuiContainer(player.inventory, getTileEntity(world, x, y, z));

        return null;
    }
     
    // gets tile entity conveniently cast to a fish tank one
    private FishTankTileEntity getTileEntity(World world, int x, int y, int z)
    {
    	return (FishTankTileEntity)world.getTileEntity(new BlockPos(x, y, z));
    }

}