package org.colinvella.fancyfish.inventory;

import org.colinvella.fancyfish.tileentity.ModInventoryTileEntity;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.inventory.IInventory;
import net.minecraft.inventory.Slot;
import net.minecraft.item.ItemStack;

public class FishTankContainer extends ModContainer
{

	public FishTankContainer(IInventory playerInventory, ModInventoryTileEntity modInventoryTileEntity)
	{
		super(playerInventory, modInventoryTileEntity);

		int slotIndex = 0;
		
        // fish tank inventory slots 0-8 (3x3) -> container slot indices 0-8
		int slotX = 0;
		int slotY = 20;
        for (int row = 0; row < 3; row++, slotY += 18)
        {
        	slotX = 62;
            for (int column = 0; column < 3; column++, slotX += 18)
            {
                this.addSlotToContainer(new FishSlot(this.modInventoryTileEntity, slotIndex++, slotX, slotY));
            }
        }

        // player inventory main slots 9-35 -> container slot indices 9-35
        slotY = 90;
        for (int row = 0; row < 3; row++, slotY += 18)
        {
        	slotX = 8;
            for (int column = 0; column < 9; column++, slotX += 18)
            {
                this.addSlotToContainer(new Slot(playerInventory, slotIndex++, slotX, slotY));
            }
        }

        // player inventory hotbar slots 0-8 -> container slot indices 36-44
        slotY = 148;
        slotX = 8;
        slotIndex = 0; // not sure why i need to reset this
        for (int column = 0; column < 9; column++, slotX += 18)
        {
            this.addSlotToContainer(new Slot(playerInventory, slotIndex++, slotX, slotY));
        }
	}

	// this method handles shift-clicking stacks - returning null to disable it
	// and avoid crashes
	@Override
	public ItemStack transferStackInSlot(EntityPlayer playerIn, int index)
	{
		return null;
	}
}
