package org.colinvella.fancyfish.recipe;

import java.util.ArrayList;
import java.util.List;

import org.colinvella.fancyfish.FancyFishMod;
import org.colinvella.fancyfish.logger.ModLogger;

import net.minecraftforge.fml.relauncher.Side;

public class ModRecipeRegistry
{	
	public static void registerRecipes()
	{
		logger = FancyFishMod.getLogger();
		logger.info("Registering crafting recipes...");
		
		// netting
		modRecipes.add(new NettingRecipe());

		// fishing net
		modRecipes.add(new FishingNetRecipe());

		// fish scale armour
		modRecipes.add(new FishScaleHelmetRecipe());
		modRecipes.add(new FishScaleChestPlateRecipe());
		modRecipes.add(new FishScaleLeggingsRecipe());
		modRecipes.add(new FishScaleBootsRecipe());

		// fish scale axe
		modRecipes.add(new FishScaleAxeRecipe());

		// fish scale hoe
		modRecipes.add(new FishScaleHoeRecipe());

		// fish scale sword
		modRecipes.add(new FishScaleSwordRecipe());
		
		// fish food
		modRecipes.add(new FishFoodRecipe());
		
		// fish bowl
		modRecipes.add(new FishBowlRecipe());

		// fish tank
		modRecipes.add(new FishTankRecipe());		

		// lamp shade
		modRecipes.add(new LampShadeRecipe());		
}
	
	// list of mod recipes for easy tracking
	private static List<ModRecipe> modRecipes = new ArrayList<ModRecipe>();
	
	// private logger reference
	private static ModLogger logger;
}
