package org.colinvella.fancyfish.world.gen.feature;

import org.colinvella.fancyfish.FancyFishMod;
import org.colinvella.fancyfish.logger.ModLogger;

import net.minecraftforge.fml.common.registry.GameRegistry;

public class ModWorldGeneratorRegistry
{	
	public static final ModWorldGenerator Kelp = new KelpWorldGenerator();
	
	public static void registerWorldGenerators()
	{
		logger = FancyFishMod.getLogger();
		logger.info("Registering world generators...");
		
		registerWorldGenerator(Kelp);
	}
	
	private static void registerWorldGenerator(ModWorldGenerator modWorldGenerator)
	{
		logger.info("Registering world generator " + modWorldGenerator.getId() + "...");
		GameRegistry.registerWorldGenerator(modWorldGenerator, 0);
	}
	
	// private logger reference
	private static ModLogger logger;
}

